Skip to main content
Version

Channels API (v1)

Download OpenAPI specification:Download

License: Proprietary

Check channel availability and manage onboarding for SMS, WhatsApp, RCS, and other supported channels.

ApiSettings

Gets the gateway product tokens asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

Responses

Response samples

Content type
{
  • "property1": [
    ],
  • "property2": [
    ]
}

Get the API keys for the logical account asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

Responses

Response samples

Content type
[
  • {
    }
]

Determines if the Account ID has Messaging Capability asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

Responses

Response samples

Content type
true

Get whitelisted numbers linked to logical account, if null, no whitelist is active.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

Responses

Response samples

Content type
[
  • "string"
]

Send test message

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

query Parameters
productToken
required
string <uuid>

The product token to use in the Business Messaging API

recipient
required
string

The recipient of the test message

messageContent
required
string

The Message content to send to the recipient

Responses

Gets the business messaging entity events asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

entityType
required
string
Enum: "MT_RECIPIENT_COUNTRY_FILTER" "SR_CONFIGURATION" "IP_RESTRICTION_CONFIGURATION" "RATE_LIMITING_CONFIGURATION"

Type of the entity.

Responses

Response samples

Content type
[
  • {
    }
]

Gets the ip restriction configuration asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

Responses

Response samples

Content type
{
  • "ipv4Addresses": [
    ]
}

Updates the ip restriction configuration asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

Request Body schema:
required

The requested configuration.

ipv4Addresses
Array of strings

Responses

Request samples

Content type
{
  • "ipv4Addresses": [
    ]
}

Response samples

Content type
{
  • "ipv4Addresses": [
    ]
}

Adds the ip restriction configuration asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

Request Body schema:
required

The requested configuration.

ipv4Addresses
Array of strings

Responses

Request samples

Content type
{
  • "ipv4Addresses": [
    ]
}

Response samples

Content type
{
  • "ipv4Addresses": [
    ]
}

Deletes the ip restriction configuration asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

Responses

Gets the ip restriction suggestions asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

Responses

Response samples

Content type
{
  • "ipv4Addresses": [
    ]
}

Gets the mt recipient available country filters asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

Responses

Response samples

Content type
[
  • {
    }
]

Gets the mt recipient country filter configuration asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

Responses

Response samples

Content type
{
  • "id": "string",
  • "countries": [
    ],
  • "type": "None"
}

Updates the mt recipient country filter configuration asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

Request Body schema:
required

The country filter.

required
Array of objects (CM.Platform.Channels.Models.ApiSettings.ApiMTRecipientCountry)
type
required
string
Enum: "None" "Allow" "Deny"

Responses

Request samples

Content type
{
  • "countries": [
    ],
  • "type": "None"
}

Response samples

Content type
{
  • "id": "string",
  • "countries": [
    ],
  • "type": "None"
}

Adds the mt recipient country filter configuration asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

Request Body schema:
required

The country filter.

required
Array of objects (CM.Platform.Channels.Models.ApiSettings.ApiMTRecipientCountry)
type
required
string
Enum: "None" "Allow" "Deny"

Responses

Request samples

Content type
{
  • "countries": [
    ],
  • "type": "None"
}

Response samples

Content type
{
  • "id": "string",
  • "countries": [
    ],
  • "type": "None"
}

Deletes the mt recipient country filter configuration asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

Responses

Gets the default mt recipient country filter configuration asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

Responses

Response samples

Content type
{
  • "countries": [
    ],
  • "type": "None"
}

Gets the rate limiting configuration asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

Responses

Response samples

Content type
{
  • "accountLimit": {
    },
  • "recipientLimit": {
    }
}

Updates the rate limiting configuration asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

Request Body schema:
required

The updated configuration.

object (CM.Platform.Channels.Models.ApiSettings.ApiRateLimitingMTSendingLimitRequest)
object (CM.Platform.Channels.Models.ApiSettings.ApiRateLimitingMTSendingLimitRequest)

Responses

Request samples

Content type
{
  • "accountLimit": {
    },
  • "recipientLimit": {
    }
}

Response samples

Content type
{
  • "accountLimit": {
    },
  • "recipientLimit": {
    }
}

Creates the rate limiting configuration asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

Request Body schema:
required

The new configuration.

object (CM.Platform.Channels.Models.ApiSettings.ApiRateLimitingMTSendingLimitRequest)
object (CM.Platform.Channels.Models.ApiSettings.ApiRateLimitingMTSendingLimitRequest)

Responses

Request samples

Content type
{
  • "accountLimit": {
    },
  • "recipientLimit": {
    }
}

Response samples

Content type
{
  • "accountLimit": {
    },
  • "recipientLimit": {
    }
}

Deletes the rate limiting configuration asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

Responses

Gets the rate limiting accepted time units asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

Responses

Response samples

Content type
[
  • {
    }
]

Gets the SMPP configurations asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

Responses

Response samples

Content type
[
  • {
    }
]

Gets the SMPP configuration asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

smssAccountId
required
integer <int32>

The SMSS account identifier.

Responses

Response samples

Content type
{
  • "systemId": "string",
  • "password": "string",
  • "isActive": true,
  • "windowSize": 0,
  • "configChanged": "string",
  • "mtWindowSize": 0,
  • "id": 0,
  • "moSrWindowSize": 0,
  • "name": "string",
  • "maximumThroughputPerSecond": 0,
  • "connectionClassification": 0,
  • "encoding": "string",
  • "service": 0,
  • "proprietaryExtensionSet": 0,
  • "priority": 0,
  • "maxBinds": 0,
  • "deliveryReceiptFormat": 0,
  • "addSubAndDlvrdToDeliveryReport": 0,
  • "moMapping": 0,
  • "serviceConfig": {
    }
}

Gets the sr webhook configuration asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

Responses

Response samples

Content type
{
  • "method": "string",
  • "encodingReplaceValue": "string",
  • "url": "string",
  • "data": "string",
  • "httpHeaders": {
    },
  • "amountOfRetries": 0,
  • "retryIntervalInSeconds": 0,
  • "outOfRetriesProcedure": "string",
  • "oauthSettingId": 0
}

Puts the sr webhook configuration asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

Request Body schema:
required

The sr webhook.

method
required
string
encodingReplaceValue
required
string
url
required
string
data
required
string
object
amountOfRetries
integer <int32>
retryIntervalInSeconds
integer <int32>
outOfRetriesProcedure
string
oauthSettingId
integer <int32>

Responses

Request samples

Content type
{
  • "method": "string",
  • "encodingReplaceValue": "string",
  • "url": "string",
  • "data": "string",
  • "httpHeaders": {
    },
  • "amountOfRetries": 0,
  • "retryIntervalInSeconds": 0,
  • "outOfRetriesProcedure": "string",
  • "oauthSettingId": 0
}

Response samples

Content type
{
  • "method": "string",
  • "encodingReplaceValue": "string",
  • "url": "string",
  • "data": "string",
  • "httpHeaders": {
    },
  • "amountOfRetries": 0,
  • "retryIntervalInSeconds": 0,
  • "outOfRetriesProcedure": "string",
  • "oauthSettingId": 0
}

Posts the sr webhook configuration asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

Request Body schema:
required

The sr webhook.

method
required
string
encodingReplaceValue
required
string
url
required
string
data
required
string
object
amountOfRetries
integer <int32>
retryIntervalInSeconds
integer <int32>
outOfRetriesProcedure
string
oauthSettingId
integer <int32>

Responses

Request samples

Content type
{
  • "method": "string",
  • "encodingReplaceValue": "string",
  • "url": "string",
  • "data": "string",
  • "httpHeaders": {
    },
  • "amountOfRetries": 0,
  • "retryIntervalInSeconds": 0,
  • "outOfRetriesProcedure": "string",
  • "oauthSettingId": 0
}

Response samples

Content type
{
  • "method": "string",
  • "encodingReplaceValue": "string",
  • "url": "string",
  • "data": "string",
  • "httpHeaders": {
    },
  • "amountOfRetries": 0,
  • "retryIntervalInSeconds": 0,
  • "outOfRetriesProcedure": "string",
  • "oauthSettingId": 0
}

Deletes the sr webhook configuration asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

Responses

Deprecated. Deprecated

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

Responses

Response samples

Content type
{
  • "property1": [
    ],
  • "property2": [
    ]
}

Deprecated. Deprecated

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

Responses

Response samples

Content type
true

Deprecated. Deprecated

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

Responses

Response samples

Content type
{
  • "method": "string",
  • "encodingReplaceValue": "string",
  • "url": "string",
  • "data": "string",
  • "httpHeaders": {
    },
  • "amountOfRetries": 0,
  • "retryIntervalInSeconds": 0,
  • "outOfRetriesProcedure": "string",
  • "oauthSettingId": 0
}

Deprecated. Deprecated

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>
Request Body schema:
required
method
required
string
encodingReplaceValue
required
string
url
required
string
data
required
string
object
amountOfRetries
integer <int32>
retryIntervalInSeconds
integer <int32>
outOfRetriesProcedure
string
oauthSettingId
integer <int32>

Responses

Request samples

Content type
{
  • "method": "string",
  • "encodingReplaceValue": "string",
  • "url": "string",
  • "data": "string",
  • "httpHeaders": {
    },
  • "amountOfRetries": 0,
  • "retryIntervalInSeconds": 0,
  • "outOfRetriesProcedure": "string",
  • "oauthSettingId": 0
}

Response samples

Content type
{
  • "method": "string",
  • "encodingReplaceValue": "string",
  • "url": "string",
  • "data": "string",
  • "httpHeaders": {
    },
  • "amountOfRetries": 0,
  • "retryIntervalInSeconds": 0,
  • "outOfRetriesProcedure": "string",
  • "oauthSettingId": 0
}

Deprecated. Deprecated

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>
Request Body schema:
required
method
required
string
encodingReplaceValue
required
string
url
required
string
data
required
string
object
amountOfRetries
integer <int32>
retryIntervalInSeconds
integer <int32>
outOfRetriesProcedure
string
oauthSettingId
integer <int32>

Responses

Request samples

Content type
{
  • "method": "string",
  • "encodingReplaceValue": "string",
  • "url": "string",
  • "data": "string",
  • "httpHeaders": {
    },
  • "amountOfRetries": 0,
  • "retryIntervalInSeconds": 0,
  • "outOfRetriesProcedure": "string",
  • "oauthSettingId": 0
}

Response samples

Content type
{
  • "method": "string",
  • "encodingReplaceValue": "string",
  • "url": "string",
  • "data": "string",
  • "httpHeaders": {
    },
  • "amountOfRetries": 0,
  • "retryIntervalInSeconds": 0,
  • "outOfRetriesProcedure": "string",
  • "oauthSettingId": 0
}

Deprecated. Deprecated

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

Responses

Deprecated. Deprecated

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

Responses

Response samples

Content type
[
  • {
    }
]

Deprecated. Deprecated

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>
smssAccountId
required
integer <int32>

Responses

Response samples

Content type
{
  • "systemId": "string",
  • "password": "string",
  • "isActive": true,
  • "windowSize": 0,
  • "configChanged": "string",
  • "mtWindowSize": 0,
  • "id": 0,
  • "moSrWindowSize": 0,
  • "name": "string",
  • "maximumThroughputPerSecond": 0,
  • "connectionClassification": 0,
  • "encoding": "string",
  • "service": 0,
  • "proprietaryExtensionSet": 0,
  • "priority": 0,
  • "maxBinds": 0,
  • "deliveryReceiptFormat": 0,
  • "addSubAndDlvrdToDeliveryReport": 0,
  • "moMapping": 0,
  • "serviceConfig": {
    }
}

Deprecated. Deprecated

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

Responses

Response samples

Content type
[
  • "string"
]

Deprecated. Deprecated

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>
query Parameters
productToken
required
string <uuid>
recipient
required
string
messageContent
required
string

Responses

AppleBusinessChat

Gets the account asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

Responses

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "channelRequestId": "00000000-0000-0000-0000-000000000000",
  • "channelId": "00000000-0000-0000-0000-000000000000",
  • "accountId": "00000000-0000-0000-0000-000000000000",
  • "isPending": true,
  • "fulfilledOnUtc": "2019-08-24T14:15:22Z",
  • "cancelledOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z",
  • "entityStatus": "ACTIVE"
}

Add an abc account.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

Responses

Gets the account form input asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

Responses

Response samples

Content type
[
  • {
    }
]

Adds the account form input asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

abcAccountId
required
string <uuid>

The abc account identifier.

Request Body schema:
required

The form input.

Array
formElementId
string <uuid>
inputValue
string

Responses

Request samples

Content type
[
  • {
    }
]

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "channelRequestId": "00000000-0000-0000-0000-000000000000",
  • "channelId": "00000000-0000-0000-0000-000000000000",
  • "accountId": "00000000-0000-0000-0000-000000000000",
  • "isPending": true,
  • "fulfilledOnUtc": "2019-08-24T14:15:22Z",
  • "cancelledOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z",
  • "entityStatus": "ACTIVE"
}

ChannelConfiguration

Gets all configurations for a channel.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelId
required
string <uuid>

The channel identifier.

Responses

Response samples

Content type
{
  • "channelGroup": {
    },
  • "inbound": {
    }
}

Gets a configuration for a channel.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelId
required
string <uuid>

The channel identifier.

configurationId
required
string <uuid>

The configuration identifier.

Responses

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "enabled": true,
  • "updatedOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z"
}

Enables/disables a channel configuration.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelId
required
string <uuid>

The channel identifier.

configurationId
required
string <uuid>

The configuration identifier.

query Parameters
enabled
required
boolean

if set to true [enabled].

Responses

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "enabled": true,
  • "updatedOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z"
}

Adds a channels' email configuration element.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelId
required
string <uuid>

The channel identifier.

Request Body schema:
required

The configuration.

required
object (CM.Platform.Channels.Models.Channels.ChannelConfiguration.ApiChannelEmailAddressRequest)
address
required
string

Responses

Request samples

Content type
{
  • "email": {
    }
}

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "enabled": true,
  • "addresses": [
    ],
  • "updatedOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z"
}

Updates a channels' email configuration element.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelId
required
string <uuid>

The channel identifier.

addressId
required
string <uuid>

The address identifier.

Request Body schema:
required

The configuration.

required
object (CM.Platform.Channels.Models.Channels.ChannelConfiguration.ApiChannelEmailAddressRequest)
address
required
string

Responses

Request samples

Content type
{
  • "email": {
    }
}

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "enabled": true,
  • "addresses": [
    ],
  • "updatedOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z"
}

Deletes a channels' email configuration element.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelId
required
string <uuid>

The channel identifier.

addressId
required
string <uuid>

The address identifier.

Responses

Add a channels' web hook configuration element.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelId
required
string <uuid>

The channel identifier.

Request Body schema:
required

The configuration.

required
object (CM.Platform.Channels.Models.Channels.ChannelConfiguration.ApiChannelWebHookEndpointRequest)
method
required
string
Enum: "POST" "GET" "PUT" "UNKNOWN"
url
required
string
type
required
string
Enum: "Json" "Xml" "Custom"

Responses

Request samples

Content type
{
  • "endpoint": {
    }
}

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "enabled": true,
  • "endpoints": [
    ],
  • "updatedOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z"
}

Updates a channels' webhook configuration element.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelId
required
string <uuid>

The channel identifier.

webhookId
required
string <uuid>

The webhook identifier.

Request Body schema:
required

The configuration.

required
object (CM.Platform.Channels.Models.Channels.ChannelConfiguration.ApiChannelWebHookEndpointRequest)
method
required
string
Enum: "POST" "GET" "PUT" "UNKNOWN"
url
required
string
type
required
string
Enum: "Json" "Xml" "Custom"

Responses

Request samples

Content type
{
  • "endpoint": {
    }
}

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "enabled": true,
  • "endpoints": [
    ],
  • "updatedOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z"
}

Deletes a channels' web hook configuration element.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelId
required
string <uuid>

The channel identifier.

webhookId
required
string <uuid>

The web hook identifier.

Responses

Adds an event webhook configuration element.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelId
required
string <uuid>

The channel identifier.

Request Body schema:
required

The configuration.

required
object (CM.Platform.Channels.Models.Channels.ChannelConfiguration.ApiChannelEventWebHookEndpointRequest)
method
required
string
Value: "POST"
url
required
string
type
required
string
Value: "Json"

Responses

Request samples

Content type
{
  • "endpoint": {
    }
}

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "enabled": true,
  • "endpoint": {
    },
  • "updatedOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z"
}

Updates an event webhook configuration element.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelId
required
string <uuid>

The channel identifier.

eventWebhookId
required
string <uuid>

The event webhook identifier.

Request Body schema:
required

The configuration.

required
object (CM.Platform.Channels.Models.Channels.ChannelConfiguration.ApiChannelEventWebHookEndpointRequest)
method
required
string
Value: "POST"
url
required
string
type
required
string
Value: "Json"

Responses

Request samples

Content type
{
  • "endpoint": {
    }
}

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "enabled": true,
  • "endpoint": {
    },
  • "updatedOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z"
}

Deletes an event webhook configuration element.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelId
required
string <uuid>

The channel identifier.

eventWebhookId
required
string <uuid>

The event webhook identifier.

Responses

Updates a channels' messaging log configuration.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelId
required
string <uuid>

The channel identifier.

Request Body schema:
required

The configuration.

object (CM.Platform.Channels.Models.Channels.ChannelConfiguration.ApiChannelMessagingLogConfigurationRequest)

Responses

Request samples

Content type
{ }

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "enabled": true,
  • "updatedOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z"
}

Channels

Processes a Meta Login for Business attempt.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

query Parameters
channelType
required
string
Enum: "WHATSAPP" "FACEBOOK" "INSTAGRAM"

Type of the channel.

Responses

Processes a Meta Login for Business attempt's dialog result.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

query Parameters
channelType
required
string
Enum: "WHATSAPP" "FACEBOOK" "INSTAGRAM"

Type of the channel.

Request Body schema:
required

The dialog result.

object

Responses

Request samples

Content type
{ }

Verifies the read capabilities asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

Responses

Gets the monthly ott metrics asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

year
required
integer <int32>

The year.

month
required
integer <int32>

The month.

Responses

Response samples

Content type
{
  • "activeBundle": {
    },
  • "ottMetrics": [
    ],
  • "ottMetricsRetrievalException": "API_UNAVAILABLE"
}

Get a channel request overview.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

query Parameters
channelTypeId
string <uuid>

The channel type identifier.

Responses

Response samples

Content type
{
  • "active": [
    ],
  • "pending": [
    ],
  • "unused": [
    ],
  • "isDemoAccount": true,
  • "isOnTrial": true
}

Get all conversational profiles.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

query Parameters
channelTypeId
string <uuid>

The channel type identifier.

skip
integer <int32>

The skip.

take
integer <int32>

The take.

Responses

Response samples

Content type
[
  • {
    }
]

Gets the channels asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

query Parameters
channelTypeId
string <uuid>

The channel type identifier.

Responses

Response samples

Content type
{
  • "available": {
    },
  • "sandbox": {
    },
  • "comingSoon": [
    ],
  • "sandboxAvailable": [
    ],
  • "isDemoAccount": true
}

Gets the channel asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelId
required
string <uuid>

The channel identifier.

Responses

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "channelRequestId": "00000000-0000-0000-0000-000000000000",
  • "channelTypeId": "00000000-0000-0000-0000-000000000000",
  • "channelCategoryId": "00000000-0000-0000-0000-000000000000",
  • "channelID": "string",
  • "channelUrl": "string",
  • "customRequestFormId": "00000000-0000-0000-0000-000000000000",
  • "customRequestFormIsPending": true,
  • "isPending": true,
  • "createdOnUtc": "2019-08-24T14:15:22Z",
  • "requestState": {
    }
}

Get a Channel's UPDATE events.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelId
required
string <uuid>

The channel identifier.

Responses

Response samples

Content type
[
  • {
    }
]

Gets the channel requests asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

query Parameters
channelTypeId
string <uuid>

The channel type identifier.

skip
integer <int32>

The skip.

take
integer <int32>

The take.

Responses

Response samples

Content type
[
  • {
    }
]

Adds the channel request asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

query Parameters
channelTypeId
required
string <uuid>

The channel type identifier.

simulate
boolean

if set to true [simulate].

skipChannelTypeAccountCreation
boolean

if set to true [skip channel type account creation].

Responses

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "channelTypeId": "00000000-0000-0000-0000-000000000000",
  • "isPending": true,
  • "isActive": true,
  • "createdOnUtc": "2019-08-24T14:15:22Z",
  • "requestState": {
    }
}

Gets the channel request asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

Responses

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "channelTypeId": "00000000-0000-0000-0000-000000000000",
  • "isPending": true,
  • "isActive": true,
  • "isGenerated": true,
  • "fulfilledOnUtc": "2019-08-24T14:15:22Z",
  • "cancelledOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z",
  • "requestState": {
    }
}

Gets all channel types.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

query Parameters
skip
integer <int32>

The skip.

take
integer <int32>

The take.

betaChannels
boolean

The beta channels.

Responses

Response samples

Content type
[
  • {
    }
]

Gets a channel type.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelTypeId
required
string <uuid>

The channel type identifier.

Responses

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "currency": "string",
  • "description": "string",
  • "prettyName": "string",
  • "iconClass": "string",
  • "startupCost": 0.1,
  • "monthlyCost": 0.1,
  • "noticePeriodDays": 0,
  • "channelRequestProcessingDays": 0,
  • "requiredCapability": "string",
  • "categories": [
    ]
}

Gets channel type categories.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelTypeId
required
string <uuid>

The channel type identifier.

Responses

Response samples

Content type
[
  • {
    }
]

Gets a channel type category.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelTypeId
required
string <uuid>

The channel type identifier.

channelCategoryId
required
string <uuid>

The channel category identifier.

query Parameters
isSandBox
boolean

Sandbox/demo.

Responses

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "iconClass": "string",
  • "name": "string",
  • "channelLimit": 0
}

Gets the channel request form asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelTypeId
required
string <uuid>

The channel type identifier.

query Parameters
channelTypeCategoryId
string <uuid>

The channel type category identifier.

Responses

Response samples

Content type
{
  • "channelType": {
    },
  • "formElements": [
    ]
}

Get a channel's custom request form.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelId
required
string <uuid>

The channel identifier.

Responses

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "channelCategoryId": "00000000-0000-0000-0000-000000000000",
  • "formElements": [
    ]
}

Get a channel's custom request form input.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelId
required
string <uuid>

The channel identifier.

Responses

Response samples

Content type
[
  • {
    }
]

Add input to the channel's custom request form.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelId
required
string <uuid>

The channel identifier.

Request Body schema:
required

The form input.

Array
formElementId
string <uuid>
inputValue
string

Responses

Request samples

Content type
[
  • {
    }
]

Response samples

Content type
[
  • {
    }
]

Handles the demo account channel request asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelTypeId
required
string <uuid>

The channel type identifier.

query Parameters
channelCategoryId
string <uuid>

The channel category identifier.

Responses

Facebook

Get Facebook connections.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

query Parameters
q
string

The q.

status
Array of strings
Items Enum: "ACTIVE" "PENDING" "ELIGIBLE" "NOT_VALIDATED" "CUSTOMER_ACTION_REQUIRED" "EXPIRED" "REJECTED" "CANCELLED" "DELETED"

The status.

skip
integer <int32>

The skip.

take
integer <int32>

The take.

Responses

Response samples

Content type
[
  • {
    }
]

Update (a) Facebook connection(s) by processing a dialog session code.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

query Parameters
sessionCode
required
string

The session code.

Responses

Get a Facebook connection.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

connectionId
required
string <uuid>

The connection identifier.

Responses

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "channelId": "00000000-0000-0000-0000-000000000000",
  • "accountId": "00000000-0000-0000-0000-000000000000",
  • "type": "PAGE",
  • "facebookConnectionId": "string",
  • "name": "string",
  • "facebookUrl": "string",
  • "isActive": true,
  • "isPending": true,
  • "isExpired": true,
  • "fulfilledOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z",
  • "rejectedOnUtc": "2019-08-24T14:15:22Z",
  • "cancelledOnUtc": "2019-08-24T14:15:22Z",
  • "deletedOnUtc": "2019-08-24T14:15:22Z",
  • "entityStatus": "ACTIVE",
  • "rejectionReason": "string",
  • "expirationReason": "string"
}

Get a Facebook account.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

Responses

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "accountId": "00000000-0000-0000-0000-000000000000",
  • "channelRequestId": "00000000-0000-0000-0000-000000000000",
  • "isPending": true,
  • "cancelledOnUtc": "2019-08-24T14:15:22Z",
  • "fulfilledOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z"
}

Adds a Facebook account.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

Responses

Get a Facebook account's form input.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

Responses

Response samples

Content type
[
  • {
    }
]

Add input to a Facebook account's form.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

facebookAccountId
required
string <uuid>

The facebook account identifier.

Request Body schema:
required

The form input.

Array
formElementId
string <uuid>
inputValue
string

Responses

Request samples

Content type
[
  • {
    }
]

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "accountId": "00000000-0000-0000-0000-000000000000",
  • "channelRequestId": "00000000-0000-0000-0000-000000000000",
  • "isPending": true,
  • "cancelledOnUtc": "2019-08-24T14:15:22Z",
  • "fulfilledOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z"
}

GooglesBusinessMessages

Get all Google's Business Messages Agents

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The brand identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

query Parameters
q
string

The q.

status
Array of strings
Items Enum: "ACTIVE" "PENDING" "ELIGIBLE" "NOT_VALIDATED" "CUSTOMER_ACTION_REQUIRED" "EXPIRED" "REJECTED" "CANCELLED" "DELETED"

The status.

skip
integer <int32>

The skip.

take
integer <int32>

The take.

Responses

Response samples

Content type
[
  • {
    }
]

Get a Google's Business Messages Agent by ID

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

agentId
required
string <uuid>

The agent identifier.

Responses

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "accountId": "00000000-0000-0000-0000-000000000000",
  • "name": "string",
  • "isPending": true,
  • "isActive": true,
  • "gbmBrandId": "00000000-0000-0000-0000-000000000000",
  • "gbmAccountId": "00000000-0000-0000-0000-000000000000",
  • "googleBusinessCommunicationsId": "00000000-0000-0000-0000-000000000000",
  • "googleBusinessCommunicationsVerificationStatus": "string",
  • "googleBusinessCommunicationsLaunchStatus": [
    ],
  • "messageConfigurationCompleted": true,
  • "entrypointConfigurationCompleted": true,
  • "agentManualVerificationFlowRequired": true,
  • "rejectionReason": "string",
  • "channelId": "00000000-0000-0000-0000-000000000000",
  • "agentId": "string",
  • "entityStatus": "ACTIVE",
  • "cancelledOnUtc": "2019-08-24T14:15:22Z",
  • "deletedOnUtc": "2019-08-24T14:15:22Z",
  • "rejectedOnUtc": "2019-08-24T14:15:22Z",
  • "updatedOnUtc": "2019-08-24T14:15:22Z",
  • "fulfilledOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z"
}

Get all Google's Business Messages Agents for a specified Google's Business Messages Brand ID

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The brand identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

brandId
required
string <uuid>

The brand identifier.

query Parameters
q
string

The q.

status
Array of strings
Items Enum: "ACTIVE" "PENDING" "ELIGIBLE" "NOT_VALIDATED" "CUSTOMER_ACTION_REQUIRED" "EXPIRED" "REJECTED" "CANCELLED" "DELETED"

The status.

skip
integer <int32>

The skip.

take
integer <int32>

The take.

Responses

Response samples

Content type
[
  • {
    }
]

Adds a new Google's Business Messages Agent

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

brandId
required
string <uuid>

The brand identifier.

Request Body schema:
required

The form input.

Array
formElementId
string <uuid>
inputValue
string

Responses

Request samples

Content type
[
  • {
    }
]

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "accountId": "00000000-0000-0000-0000-000000000000",
  • "name": "string",
  • "isPending": true,
  • "isActive": true,
  • "gbmBrandId": "00000000-0000-0000-0000-000000000000",
  • "gbmAccountId": "00000000-0000-0000-0000-000000000000",
  • "googleBusinessCommunicationsId": "00000000-0000-0000-0000-000000000000",
  • "googleBusinessCommunicationsVerificationStatus": "string",
  • "googleBusinessCommunicationsLaunchStatus": [
    ],
  • "messageConfigurationCompleted": true,
  • "entrypointConfigurationCompleted": true,
  • "agentManualVerificationFlowRequired": true,
  • "rejectionReason": "string",
  • "channelId": "00000000-0000-0000-0000-000000000000",
  • "agentId": "string",
  • "entityStatus": "ACTIVE",
  • "cancelledOnUtc": "2019-08-24T14:15:22Z",
  • "deletedOnUtc": "2019-08-24T14:15:22Z",
  • "rejectedOnUtc": "2019-08-24T14:15:22Z",
  • "updatedOnUtc": "2019-08-24T14:15:22Z",
  • "fulfilledOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z"
}

Get a Google's Business Messages Agent by ID for a specified Google's Business Messages Brand ID

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

brandId
required
string <uuid>

The brand identifier.

agentId
required
string <uuid>

The agent identifier.

Responses

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "accountId": "00000000-0000-0000-0000-000000000000",
  • "name": "string",
  • "isPending": true,
  • "isActive": true,
  • "gbmBrandId": "00000000-0000-0000-0000-000000000000",
  • "gbmAccountId": "00000000-0000-0000-0000-000000000000",
  • "googleBusinessCommunicationsId": "00000000-0000-0000-0000-000000000000",
  • "googleBusinessCommunicationsVerificationStatus": "string",
  • "googleBusinessCommunicationsLaunchStatus": [
    ],
  • "messageConfigurationCompleted": true,
  • "entrypointConfigurationCompleted": true,
  • "agentManualVerificationFlowRequired": true,
  • "rejectionReason": "string",
  • "channelId": "00000000-0000-0000-0000-000000000000",
  • "agentId": "string",
  • "entityStatus": "ACTIVE",
  • "cancelledOnUtc": "2019-08-24T14:15:22Z",
  • "deletedOnUtc": "2019-08-24T14:15:22Z",
  • "rejectedOnUtc": "2019-08-24T14:15:22Z",
  • "updatedOnUtc": "2019-08-24T14:15:22Z",
  • "fulfilledOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z"
}

Deletes a Google's Business Messages Agent

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

brandId
required
string <uuid>

The brand identifier.

agentId
required
string <uuid>

The agent identifier.

Responses

Gets the Google's Business Messages Agents form input

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

brandId
required
string <uuid>

The brand identifier.

agentId
required
string <uuid>

The agent identifier.

Responses

Response samples

Content type
[
  • {
    }
]

Adds the Google's Business Messages Agents form input

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

brandId
required
string <uuid>

The brand identifier.

agentId
required
string <uuid>

The agent identifier.

Request Body schema:
required

The form input.

Array
formElementId
string <uuid>
inputValue
string

Responses

Request samples

Content type
[
  • {
    }
]

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "accountId": "00000000-0000-0000-0000-000000000000",
  • "name": "string",
  • "isPending": true,
  • "isActive": true,
  • "gbmBrandId": "00000000-0000-0000-0000-000000000000",
  • "gbmAccountId": "00000000-0000-0000-0000-000000000000",
  • "googleBusinessCommunicationsId": "00000000-0000-0000-0000-000000000000",
  • "googleBusinessCommunicationsVerificationStatus": "string",
  • "googleBusinessCommunicationsLaunchStatus": [
    ],
  • "messageConfigurationCompleted": true,
  • "entrypointConfigurationCompleted": true,
  • "agentManualVerificationFlowRequired": true,
  • "rejectionReason": "string",
  • "channelId": "00000000-0000-0000-0000-000000000000",
  • "agentId": "string",
  • "entityStatus": "ACTIVE",
  • "cancelledOnUtc": "2019-08-24T14:15:22Z",
  • "deletedOnUtc": "2019-08-24T14:15:22Z",
  • "rejectedOnUtc": "2019-08-24T14:15:22Z",
  • "updatedOnUtc": "2019-08-24T14:15:22Z",
  • "fulfilledOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z"
}

Gets the Google's Business Messages Agent Configuration

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

brandId
required
string <uuid>

The brand identifier.

agentId
required
string <uuid>

The agent identifier.

Responses

Response samples

Content type
{
  • "businessMessagesAgent": {
    },
  • "verifiedSmsAgent": {
    },
  • "name": "string",
  • "displayName": "string",
  • "ETag": "string"
}

Updates the Google's Business Messages Agent Configuration

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

brandId
required
string <uuid>

The brand identifier.

agentId
required
string <uuid>

The agent identifier.

Request Body schema:
required

The configuration.

object (Google.Apis.BusinessCommunications.v1.Data.GoogleCommunicationsBusinesscommunicationsV1BusinessMessagesAgent)
object (Google.Apis.BusinessCommunications.v1.Data.GoogleCommunicationsBusinesscommunicationsV1VerifiedSmsAgent)
name
string
displayName
string
ETag
string

Responses

Request samples

Content type
{
  • "businessMessagesAgent": {
    },
  • "verifiedSmsAgent": {
    },
  • "name": "string",
  • "displayName": "string",
  • "ETag": "string"
}

Response samples

Content type
{
  • "businessMessagesAgent": {
    },
  • "verifiedSmsAgent": {
    },
  • "name": "string",
  • "displayName": "string",
  • "ETag": "string"
}

Gets the Google's Business Messages Agent Test Urls

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

brandId
required
string <uuid>

The brand identifier.

agentId
required
string <uuid>

The agent identifier.

Responses

Response samples

Content type
[
  • {
    }
]

Configure the Google's Business Messages Agent Launch

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

brandId
required
string <uuid>

The brand identifier.

agentId
required
string <uuid>

The agent identifier.

Request Body schema:
required

The request.

entryPoint
string
Enum: "NON_LOCAL" "LOCATION"
launched
boolean

Responses

Request samples

Content type
{
  • "entryPoint": "NON_LOCAL",
  • "launched": true
}

Response samples

Content type
[
  • {
    }
]

Configure the Google's Business Messages Agent Location Launch

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

brandId
required
string <uuid>

The brand identifier.

agentId
required
string <uuid>

The agent identifier.

locationId
required
string <uuid>

The location identifier.

Request Body schema:
required

The request.

launched
boolean

Responses

Request samples

Content type
{
  • "launched": true
}

Response samples

Content type
{
  • "locationId": "00000000-0000-0000-0000-000000000000",
  • "googleLaunchStatus": "LAUNCH_STATE_UNSPECIFIED",
  • "launched": true
}

Get Locations linked to a Google's Business Messages Agent

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

brandId
required
string <uuid>

The brand identifier.

agentId
required
string <uuid>

The agent identifier.

Responses

Response samples

Content type
[
  • {
    }
]

Create Location for an Google's Business Messages Agent from a Google My Business Location Id

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

brandId
required
string <uuid>

The brand identifier.

agentId
required
string <uuid>

The agent identifier.

query Parameters
myBusinessLocationId
required
string

My business location identifier.

Request Body schema:
required

The o authentication credentials.

object (CM.Platform.Channels.Models.ChannelTypes.GooglesBusinessMessages.LaunchFlow.ApiGoogleOAuthAccessToken)
accessToken
required
string
sessionId
required
string
issuedAtUtc
required
string <date-time>
expiresAtUtc
required
string <date-time>

Responses

Request samples

Content type
{
  • "credentials": {
    }
}

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "locationName": "string",
  • "placeId": "string",
  • "address": "string",
  • "googleMapsUrl": "string",
  • "verificationState": "VERIFICATION_STATE_UNSPECIFIED",
  • "launchState": "LAUNCH_STATE_UNSPECIFIED"
}

Get a Location linked to a Google's Business Messages Agent by ID

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

brandId
required
string <uuid>

The brand identifier.

agentId
required
string <uuid>

The agent identifier.

locationId
required
string <uuid>

The location identifier.

Responses

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "locationName": "string",
  • "placeId": "string",
  • "address": "string",
  • "googleMapsUrl": "string",
  • "verificationState": "VERIFICATION_STATE_UNSPECIFIED",
  • "launchState": "LAUNCH_STATE_UNSPECIFIED"
}

Delete a Location by ID

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

brandId
required
string <uuid>

The brand identifier.

agentId
required
string <uuid>

The agent identifier.

locationId
required
string <uuid>

The location identifier.

Responses

Updates location data cache for a Google's Business Messages Agent Location by ID

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

brandId
required
string <uuid>

The brand identifier.

agentId
required
string <uuid>

The agent identifier.

locationId
required
string <uuid>

The location identifier.

Responses

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "locationName": "string",
  • "placeId": "string",
  • "address": "string",
  • "googleMapsUrl": "string",
  • "verificationState": "VERIFICATION_STATE_UNSPECIFIED",
  • "launchState": "LAUNCH_STATE_UNSPECIFIED"
}

Verify a Google's Business Messages Agent

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

brandId
required
string <uuid>

The brand identifier.

agentId
required
string <uuid>

The agent identifier.

query Parameters
forceManualVerification
boolean

if set to true [force manual verification].

Request Body schema:
required

The o authentication credentials.

object (CM.Platform.Channels.Models.ChannelTypes.GooglesBusinessMessages.LaunchFlow.ApiGoogleOAuthAccessToken)
accessToken
required
string
sessionId
required
string
issuedAtUtc
required
string <date-time>
expiresAtUtc
required
string <date-time>

Responses

Request samples

Content type
{
  • "credentials": {
    }
}

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "accountId": "00000000-0000-0000-0000-000000000000",
  • "name": "string",
  • "isPending": true,
  • "isActive": true,
  • "gbmBrandId": "00000000-0000-0000-0000-000000000000",
  • "gbmAccountId": "00000000-0000-0000-0000-000000000000",
  • "googleBusinessCommunicationsId": "00000000-0000-0000-0000-000000000000",
  • "googleBusinessCommunicationsVerificationStatus": "string",
  • "googleBusinessCommunicationsLaunchStatus": [
    ],
  • "messageConfigurationCompleted": true,
  • "entrypointConfigurationCompleted": true,
  • "agentManualVerificationFlowRequired": true,
  • "rejectionReason": "string",
  • "channelId": "00000000-0000-0000-0000-000000000000",
  • "agentId": "string",
  • "entityStatus": "ACTIVE",
  • "cancelledOnUtc": "2019-08-24T14:15:22Z",
  • "deletedOnUtc": "2019-08-24T14:15:22Z",
  • "rejectedOnUtc": "2019-08-24T14:15:22Z",
  • "updatedOnUtc": "2019-08-24T14:15:22Z",
  • "fulfilledOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z"
}

Cancel the Google's Business Messages Agent Verification Request

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

brandId
required
string <uuid>

The brand identifier.

agentId
required
string <uuid>

The agent identifier.

Responses

Verify a Google's Business Messages Location

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

brandId
required
string <uuid>

The brand identifier.

agentId
required
string <uuid>

The agent identifier.

locationId
required
string <uuid>

The location identifier.

Request Body schema:
required

The o authentication credentials.

object (CM.Platform.Channels.Models.ChannelTypes.GooglesBusinessMessages.LaunchFlow.ApiGoogleOAuthAccessToken)
accessToken
required
string
sessionId
required
string
issuedAtUtc
required
string <date-time>
expiresAtUtc
required
string <date-time>

Responses

Request samples

Content type
{
  • "credentials": {
    }
}

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "locationName": "string",
  • "placeId": "string",
  • "address": "string",
  • "googleMapsUrl": "string",
  • "verificationState": "VERIFICATION_STATE_UNSPECIFIED",
  • "launchState": "LAUNCH_STATE_UNSPECIFIED"
}

Get all Google's Business Messages Brands

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

query Parameters
q
string

The q.

status
Array of strings
Items Enum: "ACTIVE" "PENDING" "ELIGIBLE" "NOT_VALIDATED" "CUSTOMER_ACTION_REQUIRED" "EXPIRED" "REJECTED" "CANCELLED" "DELETED"

The status.

skip
integer <int32>

The skip.

take
integer <int32>

The take.

Responses

Response samples

Content type
[
  • {
    }
]

Add a new Google's Business Messages Brand

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

Request Body schema:
required

The form input.

Array
formElementId
string <uuid>
inputValue
string

Responses

Request samples

Content type
[
  • {
    }
]

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "accountId": "00000000-0000-0000-0000-000000000000",
  • "name": "string",
  • "isPending": true,
  • "isActive": true,
  • "gbmAccountId": "00000000-0000-0000-0000-000000000000",
  • "googleBusinessCommunicationsId": "00000000-0000-0000-0000-000000000000",
  • "rejectionReason": "string",
  • "entityStatus": "ACTIVE",
  • "cancelledOnUtc": "2019-08-24T14:15:22Z",
  • "deletedOnUtc": "2019-08-24T14:15:22Z",
  • "rejectedOnUtc": "2019-08-24T14:15:22Z",
  • "updatedOnUtc": "2019-08-24T14:15:22Z",
  • "fulfilledOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z"
}

Get a Google's Business Messages Brand by ID

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

brandId
required
string <uuid>

The brand identifier.

Responses

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "accountId": "00000000-0000-0000-0000-000000000000",
  • "name": "string",
  • "isPending": true,
  • "isActive": true,
  • "gbmAccountId": "00000000-0000-0000-0000-000000000000",
  • "googleBusinessCommunicationsId": "00000000-0000-0000-0000-000000000000",
  • "rejectionReason": "string",
  • "entityStatus": "ACTIVE",
  • "cancelledOnUtc": "2019-08-24T14:15:22Z",
  • "deletedOnUtc": "2019-08-24T14:15:22Z",
  • "rejectedOnUtc": "2019-08-24T14:15:22Z",
  • "updatedOnUtc": "2019-08-24T14:15:22Z",
  • "fulfilledOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z"
}

Delete a Google's Business Messages Brand

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

brandId
required
string <uuid>

The brand identifier.

Responses

Gets the Google's Business Messages Brand form input

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

brandId
required
string <uuid>

The brand identifier.

Responses

Response samples

Content type
[
  • {
    }
]

Adds the Google's Business Messages Brand form input

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

brandId
required
string <uuid>

The brand identifier.

Request Body schema:
required

The form input.

Array
formElementId
string <uuid>
inputValue
string

Responses

Request samples

Content type
[
  • {
    }
]

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "accountId": "00000000-0000-0000-0000-000000000000",
  • "name": "string",
  • "isPending": true,
  • "isActive": true,
  • "gbmAccountId": "00000000-0000-0000-0000-000000000000",
  • "googleBusinessCommunicationsId": "00000000-0000-0000-0000-000000000000",
  • "rejectionReason": "string",
  • "entityStatus": "ACTIVE",
  • "cancelledOnUtc": "2019-08-24T14:15:22Z",
  • "deletedOnUtc": "2019-08-24T14:15:22Z",
  • "rejectedOnUtc": "2019-08-24T14:15:22Z",
  • "updatedOnUtc": "2019-08-24T14:15:22Z",
  • "fulfilledOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z"
}

Get a Google's Business Messages Account

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

Responses

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "accountId": "00000000-0000-0000-0000-000000000000",
  • "isPending": true,
  • "channelRequestId": "00000000-0000-0000-0000-000000000000",
  • "entityStatus": "ACTIVE",
  • "cancelledOnUtc": "2019-08-24T14:15:22Z",
  • "fulfilledOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z"
}

Adds a Google's Business Messages Account

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

Responses

Get the form input for a Google's Business Messages Account

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

Responses

Response samples

Content type
[
  • {
    }
]

Adds the Google's Business Messages Account form input

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

Request Body schema:
required

The form input.

Array
formElementId
string <uuid>
inputValue
string

Responses

Request samples

Content type
[
  • {
    }
]

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "accountId": "00000000-0000-0000-0000-000000000000",
  • "isPending": true,
  • "channelRequestId": "00000000-0000-0000-0000-000000000000",
  • "entityStatus": "ACTIVE",
  • "cancelledOnUtc": "2019-08-24T14:15:22Z",
  • "fulfilledOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z"
}

Convert the Google OAuth Authorization Code into a OAuth Access Token Object

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

query Parameters
oAuthAuthorizationCode
required
string

The o authentication authorization code.

Responses

Response samples

Content type
{
  • "credentials": {
    }
}

Get all Google My Business Accounts that the supplied OAuth Credential has access to

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

Request Body schema:
required

The o authentication credentials.

object (CM.Platform.Channels.Models.ChannelTypes.GooglesBusinessMessages.LaunchFlow.ApiGoogleOAuthAccessToken)
accessToken
required
string
sessionId
required
string
issuedAtUtc
required
string <date-time>
expiresAtUtc
required
string <date-time>

Responses

Request samples

Content type
{
  • "credentials": {
    }
}

Response samples

Content type
[
  • {
    }
]

Get all Google My Business Locations from a Google My Business Account that the supplied OAuth Credential has access to

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

myBusinessAccountId
required
string

My business account identifier.

query Parameters
brandId
required
string <uuid>

The brand identifier.

Request Body schema:
required

The o authentication credentials.

object (CM.Platform.Channels.Models.ChannelTypes.GooglesBusinessMessages.LaunchFlow.ApiGoogleOAuthAccessToken)
accessToken
required
string
sessionId
required
string
issuedAtUtc
required
string <date-time>
expiresAtUtc
required
string <date-time>

Responses

Request samples

Content type
{
  • "credentials": {
    }
}

Response samples

Content type
[
  • {
    }
]

Instagram

Get Instagram connections.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

query Parameters
q
string

The q.

status
Array of strings
Items Enum: "ACTIVE" "PENDING" "ELIGIBLE" "NOT_VALIDATED" "CUSTOMER_ACTION_REQUIRED" "EXPIRED" "REJECTED" "CANCELLED" "DELETED"

The status.

skip
integer <int32>

The skip.

take
integer <int32>

The take.

Responses

Response samples

Content type
[
  • {
    }
]

Update (a) Instagram connection(s) by processing a dialog session code.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

query Parameters
sessionCode
required
string

The session code.

Responses

Get a Instagram connection.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

connectionId
required
string <uuid>

The connection identifier.

Responses

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "channelId": "00000000-0000-0000-0000-000000000000",
  • "accountId": "00000000-0000-0000-0000-000000000000",
  • "type": "ACCOUNT",
  • "instagramConnectionId": "string",
  • "username": "string",
  • "name": "string",
  • "instagramUrl": "string",
  • "isActive": true,
  • "isPending": true,
  • "isExpired": true,
  • "fulfilledOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z",
  • "rejectedOnUtc": "2019-08-24T14:15:22Z",
  • "cancelledOnUtc": "2019-08-24T14:15:22Z",
  • "deletedOnUtc": "2019-08-24T14:15:22Z",
  • "entityStatus": "ACTIVE",
  • "rejectionReason": "string",
  • "expirationReason": "string"
}

Get a Instagram account.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

Responses

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "accountId": "00000000-0000-0000-0000-000000000000",
  • "channelRequestId": "00000000-0000-0000-0000-000000000000",
  • "isPending": true,
  • "cancelledOnUtc": "2019-08-24T14:15:22Z",
  • "fulfilledOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z"
}

Adds a Instagram account.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

Responses

Get a Instagram account's form input.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

Responses

Response samples

Content type
[
  • {
    }
]

Adds the instagram account form input asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

instagramAccountId
required
string <uuid>

The instagram account identifier.

Request Body schema:
required

The form input.

Array
formElementId
string <uuid>
inputValue
string

Responses

Request samples

Content type
[
  • {
    }
]

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "accountId": "00000000-0000-0000-0000-000000000000",
  • "channelRequestId": "00000000-0000-0000-0000-000000000000",
  • "isPending": true,
  • "cancelledOnUtc": "2019-08-24T14:15:22Z",
  • "fulfilledOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z"
}

Keywords

Get all claimed keywords (paginated).

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

query Parameters
q
string

The query.

phoneNumber
Array of strings

The phone numbers to filter the results on.

keyword
Array of strings

The keywords to filter the results on.

country
string

The country.

status
Array of strings
Items Enum: "ACTIVE" "PENDING" "ELIGIBLE" "NOT_VALIDATED" "CUSTOMER_ACTION_REQUIRED" "EXPIRED" "REJECTED" "CANCELLED" "DELETED"

The status.

skip
integer <int32>

The skip.

take
integer <int32>

The take.

Responses

Response samples

Content type
[
  • {
    }
]

Claim a keyword.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

query Parameters
periodicity
required
string
Enum: "MONTHLY" "YEARLY" "NONE"

The periodicity.

currency
string

The currency.

simulate
boolean

if set to true no actual operations will be performed, but validation will occur.

asIncomingOrderFlow
boolean

if set to true [as incoming order flow].

Request Body schema:
required

The claim.

phoneNumberId
required
string
keyword
required
string

Responses

Request samples

Content type
{
  • "phoneNumberId": "string",
  • "keyword": "string"
}

Response samples

Content type
{
  • "id": "string",
  • "channelId": "00000000-0000-0000-0000-000000000000",
  • "phoneNumberId": "string",
  • "country": "string",
  • "keyword": "string",
  • "subscriptionPeriodicity": "MONTHLY",
  • "price": {
    },
  • "noticePeriodDays": 0.1,
  • "reasonForRejection": "string",
  • "isPending": true,
  • "claimedOnUtc": "2019-08-24T14:15:22Z",
  • "entityStatus": "ACTIVE",
  • "channelState": {
    }
}

Get a keyword claim by id.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

keywordClaimId
required
string

The keyword identifier.

Responses

Response samples

Content type
{
  • "id": "string",
  • "channelId": "00000000-0000-0000-0000-000000000000",
  • "phoneNumberId": "string",
  • "country": "string",
  • "keyword": "string",
  • "subscriptionPeriodicity": "MONTHLY",
  • "price": {
    },
  • "noticePeriodDays": 0.1,
  • "reasonForRejection": "string",
  • "isPending": true,
  • "claimedOnUtc": "2019-08-24T14:15:22Z",
  • "entityStatus": "ACTIVE",
  • "channelState": {
    }
}

Cancel a keyword claim.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

keywordClaimId
required
string

The keyword identifier.

Responses

Line

Get a Line account.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

Responses

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "accountId": "00000000-0000-0000-0000-000000000000",
  • "channelRequestId": "00000000-0000-0000-0000-000000000000",
  • "isPending": true,
  • "cancelledOnUtc": "2019-08-24T14:15:22Z",
  • "fulfilledOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z",
  • "entityStatus": "ACTIVE"
}

Adds a Line account.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

Responses

Get a Line account's form input.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

Responses

Response samples

Content type
[
  • {
    }
]

Adds the Line account form input asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

lineAccountId
required
string <uuid>

The line account identifier.

Request Body schema:
required

The form input.

Array
formElementId
string <uuid>
inputValue
string

Responses

Request samples

Content type
[
  • {
    }
]

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "accountId": "00000000-0000-0000-0000-000000000000",
  • "channelRequestId": "00000000-0000-0000-0000-000000000000",
  • "isPending": true,
  • "cancelledOnUtc": "2019-08-24T14:15:22Z",
  • "fulfilledOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z",
  • "entityStatus": "ACTIVE"
}

Gets the line notify services asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

query Parameters
q
string

The q.

status
Array of strings
Items Enum: "ACTIVE" "PENDING" "ELIGIBLE" "NOT_VALIDATED" "CUSTOMER_ACTION_REQUIRED" "EXPIRED" "REJECTED" "CANCELLED" "DELETED"

The status.

skip
integer <int32>

The skip.

take
integer <int32>

The take.

Responses

Response samples

Content type
[
  • {
    }
]

Adds the line notify service asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

Request Body schema:
required

The line notify service.

notifyServiceID
integer <int32>
notifyServiceName
string
gmoStoreId
required
integer <int32>

Responses

Request samples

Content type
{
  • "notifyServiceID": 0,
  • "notifyServiceName": "string",
  • "gmoStoreId": 0
}

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "channelId": "00000000-0000-0000-0000-000000000000",
  • "accountId": "00000000-0000-0000-0000-000000000000",
  • "notifyServiceID": 0,
  • "notifyServiceName": "string",
  • "gmoStoreId": 0,
  • "isActive": true,
  • "entityStatus": "ACTIVE",
  • "isPending": true,
  • "approvedOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z",
  • "rejectedOnUtc": "2019-08-24T14:15:22Z",
  • "cancelledOnUtc": "2019-08-24T14:15:22Z",
  • "deletedOnUtc": "2019-08-24T14:15:22Z",
  • "rejectionReason": "string"
}

Gets the line notify service asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

notifyServiceId
required
string <uuid>

The notify service identifier.

Responses

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "channelId": "00000000-0000-0000-0000-000000000000",
  • "accountId": "00000000-0000-0000-0000-000000000000",
  • "notifyServiceID": 0,
  • "notifyServiceName": "string",
  • "gmoStoreId": 0,
  • "isActive": true,
  • "entityStatus": "ACTIVE",
  • "isPending": true,
  • "approvedOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z",
  • "rejectedOnUtc": "2019-08-24T14:15:22Z",
  • "cancelledOnUtc": "2019-08-24T14:15:22Z",
  • "deletedOnUtc": "2019-08-24T14:15:22Z",
  • "rejectionReason": "string"
}

Updates the line notify service asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

notifyServiceId
required
string <uuid>

The notify service identifier.

Request Body schema:
required

The line notify service.

notifyServiceID
integer <int32>
notifyServiceName
string
gmoStoreId
required
integer <int32>

Responses

Request samples

Content type
{
  • "notifyServiceID": 0,
  • "notifyServiceName": "string",
  • "gmoStoreId": 0
}

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "channelId": "00000000-0000-0000-0000-000000000000",
  • "accountId": "00000000-0000-0000-0000-000000000000",
  • "notifyServiceID": 0,
  • "notifyServiceName": "string",
  • "gmoStoreId": 0,
  • "isActive": true,
  • "entityStatus": "ACTIVE",
  • "isPending": true,
  • "approvedOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z",
  • "rejectedOnUtc": "2019-08-24T14:15:22Z",
  • "cancelledOnUtc": "2019-08-24T14:15:22Z",
  • "deletedOnUtc": "2019-08-24T14:15:22Z",
  • "rejectionReason": "string"
}

Deletes the line notify service asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

notifyServiceId
required
string <uuid>

The notify service identifier.

Responses

MobilePush

Gets the mobile push android application asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

mobilePushApplicationId
required
string <uuid>

The mobile push application identifier.

Responses

Response samples

Content type
"string"

Updates the mobile push android application asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

mobilePushApplicationId
required
string <uuid>

The mobile push application identifier.

Request Body schema:
required

The mobile push android application.

certificate
string

Responses

Request samples

Content type
{
  • "certificate": "string"
}

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "channelId": "00000000-0000-0000-0000-000000000000",
  • "accountId": "00000000-0000-0000-0000-000000000000",
  • "applicationID": "string",
  • "isIosExpired": true,
  • "isIosActivated": true,
  • "isAndroidActivated": true,
  • "applicationOtpSender": "string",
  • "applicationName": "string",
  • "androidSettings": "string",
  • "isActive": true,
  • "entityStatus": "ACTIVE",
  • "iosSettings": {
    },
  • "isPending": true,
  • "requiresSettings": true,
  • "fulfilledOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z",
  • "rejectedOnUtc": "2019-08-24T14:15:22Z",
  • "cancelledOnUtc": "2019-08-24T14:15:22Z",
  • "deletedOnUtc": "2019-08-24T14:15:22Z",
  • "iosExpiresOnUtc": "2019-08-24T14:15:22Z",
  • "rejectionReason": "string"
}

Deletes the mobile push android application asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

mobilePushApplicationId
required
string <uuid>

The mobile push application identifier.

Responses

Gets the mobile push applications asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

query Parameters
q
string

The q.

status
Array of strings
Items Enum: "ACTIVE" "PENDING" "ELIGIBLE" "NOT_VALIDATED" "CUSTOMER_ACTION_REQUIRED" "EXPIRED" "REJECTED" "CANCELLED" "DELETED"

The status.

skip
integer <int32>

The skip.

take
integer <int32>

The take.

Responses

Response samples

Content type
[
  • {
    }
]

Adds the mobile push application asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

Request Body schema:
required

The mobile push application.

applicationID
string
applicationOtpSender
string
applicationName
string
androidSettings
string
object (CM.Platform.Channels.Models.ChannelTypes.MobilePush.ApiMobilePushIosApplication)

Responses

Request samples

Content type
{
  • "applicationID": "string",
  • "applicationOtpSender": "string",
  • "applicationName": "string",
  • "androidSettings": "string",
  • "iosSettings": {
    }
}

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "channelId": "00000000-0000-0000-0000-000000000000",
  • "accountId": "00000000-0000-0000-0000-000000000000",
  • "applicationID": "string",
  • "isIosExpired": true,
  • "isIosActivated": true,
  • "isAndroidActivated": true,
  • "applicationOtpSender": "string",
  • "applicationName": "string",
  • "androidSettings": "string",
  • "isActive": true,
  • "entityStatus": "ACTIVE",
  • "iosSettings": {
    },
  • "isPending": true,
  • "requiresSettings": true,
  • "fulfilledOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z",
  • "rejectedOnUtc": "2019-08-24T14:15:22Z",
  • "cancelledOnUtc": "2019-08-24T14:15:22Z",
  • "deletedOnUtc": "2019-08-24T14:15:22Z",
  • "iosExpiresOnUtc": "2019-08-24T14:15:22Z",
  • "rejectionReason": "string"
}

Gets the mobile push application asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

mobilePushApplicationId
required
string <uuid>

The mobile push application identifier.

Responses

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "channelId": "00000000-0000-0000-0000-000000000000",
  • "accountId": "00000000-0000-0000-0000-000000000000",
  • "applicationID": "string",
  • "isIosExpired": true,
  • "isIosActivated": true,
  • "isAndroidActivated": true,
  • "applicationOtpSender": "string",
  • "applicationName": "string",
  • "androidSettings": "string",
  • "isActive": true,
  • "entityStatus": "ACTIVE",
  • "iosSettings": {
    },
  • "isPending": true,
  • "requiresSettings": true,
  • "fulfilledOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z",
  • "rejectedOnUtc": "2019-08-24T14:15:22Z",
  • "cancelledOnUtc": "2019-08-24T14:15:22Z",
  • "deletedOnUtc": "2019-08-24T14:15:22Z",
  • "iosExpiresOnUtc": "2019-08-24T14:15:22Z",
  • "rejectionReason": "string"
}

Updates the mobile push application asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

mobilePushApplicationId
required
string <uuid>

The mobile push application identifier.

Request Body schema:
required

The mobile push application.

applicationID
string
applicationOtpSender
string
applicationName
string
androidSettings
string
object (CM.Platform.Channels.Models.ChannelTypes.MobilePush.ApiMobilePushIosApplication)

Responses

Request samples

Content type
{
  • "applicationID": "string",
  • "applicationOtpSender": "string",
  • "applicationName": "string",
  • "androidSettings": "string",
  • "iosSettings": {
    }
}

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "channelId": "00000000-0000-0000-0000-000000000000",
  • "accountId": "00000000-0000-0000-0000-000000000000",
  • "applicationID": "string",
  • "isIosExpired": true,
  • "isIosActivated": true,
  • "isAndroidActivated": true,
  • "applicationOtpSender": "string",
  • "applicationName": "string",
  • "androidSettings": "string",
  • "isActive": true,
  • "entityStatus": "ACTIVE",
  • "iosSettings": {
    },
  • "isPending": true,
  • "requiresSettings": true,
  • "fulfilledOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z",
  • "rejectedOnUtc": "2019-08-24T14:15:22Z",
  • "cancelledOnUtc": "2019-08-24T14:15:22Z",
  • "deletedOnUtc": "2019-08-24T14:15:22Z",
  • "iosExpiresOnUtc": "2019-08-24T14:15:22Z",
  • "rejectionReason": "string"
}

Deletes the mobile push application asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

mobilePushApplicationId
required
string <uuid>

The mobile push application identifier.

Responses

Gets the mobile push ios application asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

mobilePushApplicationId
required
string <uuid>

The mobile push application identifier.

Responses

Response samples

Content type
{
  • "privateKey": "string",
  • "certificate": "string",
  • "password": "string",
  • "expiresOnUtc": "2019-08-24T14:15:22Z"
}

Updates the mobile push ios application asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

mobilePushApplicationId
required
string <uuid>

The mobile push application identifier.

Request Body schema:
required

The mobile push ios application.

privateKey
string
certificate
string
password
string
expiresOnUtc
string <date-time>

Responses

Request samples

Content type
{
  • "privateKey": "string",
  • "certificate": "string",
  • "password": "string",
  • "expiresOnUtc": "2019-08-24T14:15:22Z"
}

Response samples

Content type
{
  • "privateKey": "string",
  • "certificate": "string",
  • "password": "string",
  • "expiresOnUtc": "2019-08-24T14:15:22Z"
}

Deletes the mobile push ios application asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

mobilePushApplicationId
required
string <uuid>

The mobile push application identifier.

Responses

Gets the mobile push ios application CSR asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

mobilePushApplicationId
required
string <uuid>

The mobile push application identifier.

Responses

Response samples

Content type
{ }

Posts the mobile push ios application cert asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

mobilePushApplicationId
required
string <uuid>

The mobile push application identifier.

Responses

Response samples

Content type
{
  • "privateKey": "string",
  • "certificate": "string",
  • "password": "string",
  • "expiresOnUtc": "2019-08-24T14:15:22Z"
}

ø Gets the mobile push account asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

Responses

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "accountId": "00000000-0000-0000-0000-000000000000",
  • "channelRequestId": "00000000-0000-0000-0000-000000000000",
  • "isPending": true,
  • "cancelledOnUtc": "2019-08-24T14:15:22Z",
  • "fulfilledOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z",
  • "entityStatus": "ACTIVE"
}

Adds the mobile push account asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

Responses

Gets the mobile push account form input asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

Responses

Response samples

Content type
[
  • {
    }
]

Adds the mobile push account form input asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

mobilePushAccountId
required
string <uuid>

The mobile push account identifier.

Request Body schema:
required

The form input.

Array
formElementId
string <uuid>
inputValue
string

Responses

Request samples

Content type
[
  • {
    }
]

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "accountId": "00000000-0000-0000-0000-000000000000",
  • "channelRequestId": "00000000-0000-0000-0000-000000000000",
  • "isPending": true,
  • "cancelledOnUtc": "2019-08-24T14:15:22Z",
  • "fulfilledOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z",
  • "entityStatus": "ACTIVE"
}

Organizations

Get an organization.

Authorizations:
ProductToken
path Parameters
organizationCrmId
required
integer <int32>

The organization identifier.

Responses

Response samples

Content type
{
  • "crmId": 0,
  • "name": "string",
  • "contactName": "string",
  • "contactEmailAddress": "string",
  • "countryId": "string",
  • "currencyId": "string",
  • "languageId": "string",
  • "accountProvisioningItems": [
    ],
  • "createdOnUtc": "2019-08-24T14:15:22Z"
}

Get an organization's accounts.

Authorizations:
ProductToken
path Parameters
organizationCrmId
required
integer <int32>

The organization CRM identifier.

Responses

Response samples

Content type
[
  • {
    }
]

Create an organization account.

Authorizations:
ProductToken
path Parameters
organizationCrmId
required
integer <int32>

The organization CRM identifier.

Request Body schema:
required

The account request.

name
string

Responses

Request samples

Content type
{
  • "name": "string"
}

Payments

Gets the payments credentials asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

query Parameters
status
Array of strings
Items Enum: "ACTIVE" "PENDING" "ELIGIBLE" "NOT_VALIDATED" "CUSTOMER_ACTION_REQUIRED" "EXPIRED" "REJECTED" "CANCELLED" "DELETED"

The status.

skip
integer <int32>

The skip.

take
integer <int32>

The take.

type
string
Enum: "CMPAYMENTS" "WEBCHECKOUT" "IDEALPLATFORM"

The type.

Responses

Response samples

Content type
[
  • {
    }
]

Adds the payments credentials asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

Request Body schema:
required

The credentials.

name
required
string
type
string
Enum: "CMPAYMENTS" "WEBCHECKOUT" "IDEALPLATFORM"
object (CM.Platform.Channels.Models.ChannelTypes.Payments.ApiCmPaymentsAttributes)
object (CM.Platform.Channels.Models.ChannelTypes.Payments.ApiWebCheckoutAttributes)
object (CM.Platform.Channels.Models.ChannelTypes.Payments.ApiIdealPlatformAttributes)
isActive
required
boolean

Responses

Request samples

Content type
{
  • "name": "string",
  • "type": "CMPAYMENTS",
  • "cmPaymentsAttributes": {
    },
  • "webCheckoutAttributes": {
    },
  • "idealPlatformAttributes": {
    },
  • "isActive": true
}

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "name": "string",
  • "type": "CMPAYMENTS",
  • "attributes": {
    },
  • "cmPaymentsAttributes": {
    },
  • "webCheckoutAttributes": {
    },
  • "idealPlatformAttributes": {
    },
  • "isActive": true,
  • "updatedOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z",
  • "entityStatus": "ACTIVE"
}

Gets the payments credentials by identifier asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

credentialsId
required
string <uuid>

The credentials identifier.

query Parameters
withAttributes
boolean

Flag to ask for the Credentials Attributes.

Responses

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "name": "string",
  • "type": "CMPAYMENTS",
  • "attributes": {
    },
  • "cmPaymentsAttributes": {
    },
  • "webCheckoutAttributes": {
    },
  • "idealPlatformAttributes": {
    },
  • "isActive": true,
  • "updatedOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z",
  • "entityStatus": "ACTIVE"
}

Updates the payments credentials asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

credentialsId
required
string <uuid>

The credentials identifier.

Request Body schema:
required

The credentials.

name
required
string
type
string
Enum: "CMPAYMENTS" "WEBCHECKOUT" "IDEALPLATFORM"
object (CM.Platform.Channels.Models.ChannelTypes.Payments.ApiCmPaymentsAttributes)
object (CM.Platform.Channels.Models.ChannelTypes.Payments.ApiWebCheckoutAttributes)
object (CM.Platform.Channels.Models.ChannelTypes.Payments.ApiIdealPlatformAttributes)
isActive
required
boolean

Responses

Request samples

Content type
{
  • "name": "string",
  • "type": "CMPAYMENTS",
  • "cmPaymentsAttributes": {
    },
  • "webCheckoutAttributes": {
    },
  • "idealPlatformAttributes": {
    },
  • "isActive": true
}

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "name": "string",
  • "type": "CMPAYMENTS",
  • "attributes": {
    },
  • "cmPaymentsAttributes": {
    },
  • "webCheckoutAttributes": {
    },
  • "idealPlatformAttributes": {
    },
  • "isActive": true,
  • "updatedOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z",
  • "entityStatus": "ACTIVE"
}

Deletes the payments credentials asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

credentialsId
required
string <uuid>

The credentials identifier.

Responses

PhoneNumbers

Get all available phone numbers (paginated).

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

query Parameters
q
string

The search query.

country
string

The country to limit the result set to.

isOwned
boolean

If set, filters the result to only numbers owned by the account.

isShortcode
boolean

If set, filters the result to being a shortcode (true) or not (false).

isShared
boolean

If set, filters the result to being shared (true) or not (false).

skip
integer <int32>

The skip.

take
integer <int32>

The take.

Responses

Response samples

Content type
[
  • {
    }
]

Get a phone number by id.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

phoneNumberId
required
string

The phone number id.

Responses

Response samples

Content type
{
  • "id": "string",
  • "accountId": "00000000-0000-0000-0000-000000000000",
  • "numberType": {
    },
  • "number": "string",
  • "isShared": true,
  • "ownedSinceUtc": "2019-08-24T14:15:22Z"
}

Cancel a dedicated phone number.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

phoneNumberId
required
string

The phone number identifier.

Responses

Get all available number types (paginated).

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

query Parameters
numberTypeId
string <uuid>

The number type identifier.

currency
string

The currency.

country
string

The country.

category
string

The category.

purpose
Array of strings

The purpose.

skip
integer <int32>

The skip.

take
integer <int32>

The take.

Responses

Response samples

Content type
[
  • {
    }
]

Get all dedicated phone number requests (paginated).

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

query Parameters
country
string

If set, filters the result on country.

isActive
boolean

If set, filters the result on active state

isPending
boolean

If set, filters the result on pending state.

isCancelled
boolean

If set, filters the result on cancelled state.

q
string

The search query.

status
Array of strings
Items Enum: "ACTIVE" "PENDING" "ELIGIBLE" "NOT_VALIDATED" "CUSTOMER_ACTION_REQUIRED" "EXPIRED" "REJECTED" "CANCELLED" "DELETED"

The status.

skip
integer <int32>

The skip.

take
integer <int32>

The take.

Responses

Response samples

Content type
[
  • {
    }
]

Request a dedicated phone number.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

query Parameters
numberTypeId
required
string <uuid>

The number type identifier.

periodicity
required
string
Enum: "MONTHLY" "YEARLY" "NONE"

The periodicity.

currency
string

The currency.

simulate
boolean

if set to true [simulate].

asIncomingOrderFlow
boolean

if set to true [as incoming order flow].

Responses

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "channelId": "00000000-0000-0000-0000-000000000000",
  • "accountId": "00000000-0000-0000-0000-000000000000",
  • "phoneNumberId": "string",
  • "phoneNumber": "string",
  • "numberType": {
    },
  • "subscriptionPeriodicity": "MONTHLY",
  • "price": {
    },
  • "isPending": true,
  • "isActive": true,
  • "cancelledOnUtc": "2019-08-24T14:15:22Z",
  • "fulfilledOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z",
  • "reasonForRejection": "string",
  • "entityStatus": "ACTIVE",
  • "channelState": {
    }
}

Gets a phone number request by id.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

requestId
required
string <uuid>

The number request identifier.

Responses

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "channelId": "00000000-0000-0000-0000-000000000000",
  • "accountId": "00000000-0000-0000-0000-000000000000",
  • "phoneNumberId": "string",
  • "phoneNumber": "string",
  • "numberType": {
    },
  • "subscriptionPeriodicity": "MONTHLY",
  • "price": {
    },
  • "isPending": true,
  • "isActive": true,
  • "cancelledOnUtc": "2019-08-24T14:15:22Z",
  • "fulfilledOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z",
  • "reasonForRejection": "string",
  • "entityStatus": "ACTIVE",
  • "channelState": {
    }
}

RichContentServices

Get an RCS account.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

Responses

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "accountId": "00000000-0000-0000-0000-000000000000",
  • "channelRequestId": "00000000-0000-0000-0000-000000000000",
  • "isPending": true,
  • "cancelledOnUtc": "2019-08-24T14:15:22Z",
  • "fulfilledOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z"
}

Add an RCS account.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

Responses

Get an RCS account's form input.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

Responses

Response samples

Content type
[
  • {
    }
]

Add an RCS account's form input.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

rcsAccountId
required
string <uuid>

The RCS account identifier.

Request Body schema:
required

The form input.

Array
formElementId
string <uuid>
inputValue
string

Responses

Request samples

Content type
[
  • {
    }
]

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "accountId": "00000000-0000-0000-0000-000000000000",
  • "channelRequestId": "00000000-0000-0000-0000-000000000000",
  • "isPending": true,
  • "cancelledOnUtc": "2019-08-24T14:15:22Z",
  • "fulfilledOnUtc": "2019-08-24T14:15:22Z",
  • "createdOnUtc": "2019-08-24T14:15:22Z"
}

Gets the profiles asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

query Parameters
q
string

The q.

status
Array of strings
Items Enum: "ACTIVE" "PENDING" "ELIGIBLE" "NOT_VALIDATED" "CUSTOMER_ACTION_REQUIRED" "EXPIRED" "REJECTED" "CANCELLED" "DELETED"

The status.

skip
integer <int32>

The skip.

take
integer <int32>

The take.

Responses

Response samples

Content type
[
  • {
    }
]

Adds the profile asynchronous.

Authorizations:
ProductToken
path Parameters
accountId
required
string <uuid>

The account identifier.

channelRequestId
required
string <uuid>

The channel request identifier.

query Parameters
simulate
boolean

if set to true [simulate].

Responses

Response samples

Content type
{
  • "id": "00000000-0000-0000-0000-000000000000",
  • "channelRequestId": "00000000-0000-0000-0000-000000000000",
  • "channelId": "00000000-0000-0000-0000-000000000000",
  • "accountId": "00000000-0000-0000-0000-000000000000",
  • "name": "string",
  • "heroImage": "string",
  • "logoImage": "string",
  • "isActive": true,
  • "isPending": true,
[...]
